Is 4.3.1/1.59.00 to 5.0.1/1.59.00 possible on a mac?

rrandyy

macrumors 6502
Original poster
Jan 14, 2009
276
0
I'm currently on iOS 4.3.1 with 1.59.00BB. I have a mac computer and the blobs for 4.3.1, among others.

Am i correct in understanding that I can't use redsn0w to upgrade to 5.0.1 while keeping my current baseband and jailbreaking?

If I boot to windows and use sn0wbreeze to jailbreak to 5.0.1 and preserve BB, will I have to boot to windows each time I restart my iphone (since it will be tethered)?

Finally, any disadvantage to moving to 5.0.1? Any chance it will prevent me from moving to a final untethered jailbreak?
 

Makaveli6103

macrumors 6502
Jan 31, 2009
385
0
Kansas City, MO
I'm currently on iOS 4.3.1 with 1.59.00BB. I have a mac computer and the blobs for 4.3.1, among others.

Am i correct in understanding that I can't use redsn0w to upgrade to 5.0.1 while keeping my current baseband and jailbreaking?

If I boot to windows and use sn0wbreeze to jailbreak to 5.0.1 and preserve BB, will I have to boot to windows each time I restart my iphone (since it will be tethered)?

Finally, any disadvantage to moving to 5.0.1? Any chance it will prevent me from moving to a final untethered jailbreak?
Yes it is. Follow these directions but use 5.0. I am running into error 11 though.
 

rrandyy

macrumors 6502
Original poster
Jan 14, 2009
276
0
But apple isn't signing 5.0 anymore, right? Also, redsnow won't work with 5.0.1?
 

rrandyy

macrumors 6502
Original poster
Jan 14, 2009
276
0
I tried sn0wbreeze on my windows partition and it gave me a "can not initialize" error and won't run. Am I totally screwed?

Can I download a no_bb_iPhone3,1_5.0.1_9A405_Restore.ipsw from anywhere?
 
Last edited:
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.